import * as $dara from '@darabonba/typescript';
export declare class AttachInstanceRamRoleResponseBodyAttachInstanceRamRoleResultsAttachInstanceRamRoleResult extends $dara.Model {
    code?: string;
    instanceId?: string;
    message?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AttachInstanceRamRoleResponseBodyAttachInstanceRamRoleResults extends $dara.Model {
    attachInstanceRamRoleResult?: AttachInstanceRamRoleResponseBodyAttachInstanceRamRoleResultsAttachInstanceRamRoleResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AttachInstanceRamRoleResponseBody extends $dara.Model {
    attachInstanceRamRoleResults?: AttachInstanceRamRoleResponseBodyAttachInstanceRamRoleResults;
    /**
     * @remarks
     * The number of instances to which the instance RAM role failed to be attached.
     *
     * @example
     * 0
     */
    failCount?: number;
    /**
     * @remarks
     * The name of the instance RAM role.
     *
     * @example
     * testRamRoleName
     */
    ramRoleName?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * D9553E4C-6C3A-4D66-AE79-9835AF705639
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of instances to which you attempted to attach the instance RAM role.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
